MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032391Open CASCADE[OCCT] OCCT:DRAWpublic2021-05-24 19:532021-05-29 13:13
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032391: Draw Harness - missing syntax validation within vseldump
DescriptionPassing an invalid type of selection dump doesn't produce any error syntax error message:
vseldump sz1.png -type surfNorm
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0101342)
git (administrator)
2021-05-25 00:11

Branch CR32391 has been created by kgv.

SHA-1: cfbcb3f791b15004ba843028d1a0e4f65e8a9b28


Detailed log of new commits:

Author: kgv
Date: Tue May 25 00:08:05 2021 +0300

    0032391: Draw Harness - missing syntax validation within vseldump
    
    SelectMgr_SelectionImageFiller, SurfaceNormalFiller - pick results from SelectMgr_SortCriterion
    instead of calling redundant Matches().
    vseldump - added missing syntax error output on incorrect -type parameter.
(0101343)
git (administrator)
2021-05-25 00:12

Branch CR32391 has been updated forcibly by kgv.

SHA-1: eb2a785a7316bbb44ecd3302d1d3bcaddff73379
(0101344)
git (administrator)
2021-05-25 09:25

Branch CR32391 has been updated forcibly by kgv.

SHA-1: 00689f50a71d2e774a0f3b828ebe9b6f1019fc7b
(0101347)
kgv (developer)
2021-05-25 11:05

Patch is ready for review
- OCCT: branch CR32391.

http://jenkins-test-occt/view/CR32391-master-KGV/ [^]
(0101351)
osa (developer)
2021-05-25 11:15

The patch was reviewed
(0101468)
bugmaster (administrator)
2021-05-29 12:02

Combination -
OCCT branch : IR-2021-05-28
master SHA - 2315a044240803013da63dd2f5209c739ab03727
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-05-28 SHA - 2131ac830b9e3c707d427f2aac9c50dcfa5c74db
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17574.5700000004 / 17867.41000000037 [-1.64%]
Products
Total CPU difference: 11533.700000000124 / 11535.680000000108 [-0.02%]
Windows-64-VC14:
OCCT
Total CPU difference: 19393.5625 / 19367.75 [+0.13%]
Products
Total CPU difference: 12891.8125 / 12920.9375 [-0.23%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0101504)
git (administrator)
2021-05-29 13:13

Branch CR32391 has been deleted by mnt.

SHA-1: 00689f50a71d2e774a0f3b828ebe9b6f1019fc7b

- Related Changesets
occt: master df23a355
Timestamp: 2021-05-24 21:08:05
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032391: Draw Harness - missing syntax validation within vseldump

SelectMgr_SelectionImageFiller, SurfaceNormalFiller - pick results from SelectMgr_SortCriterion
instead of calling redundant Matches().
vseldump - added missing syntax error output on incorrect -type parameter.
mod - src/SelectMgr/SelectMgr_SelectionImageFiller.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-05-24 19:53 kgv New Issue
2021-05-24 19:53 kgv Assigned To => mkrylova
2021-05-25 00:11 git Note Added: 0101342
2021-05-25 00:12 git Note Added: 0101343
2021-05-25 09:25 git Note Added: 0101344
2021-05-25 11:05 kgv Note Added: 0101347
2021-05-25 11:05 kgv Assigned To mkrylova => osa
2021-05-25 11:05 kgv Status new => resolved
2021-05-25 11:15 osa Note Added: 0101351
2021-05-25 11:15 osa Assigned To osa => bugmaster
2021-05-25 11:15 osa Status resolved => reviewed
2021-05-29 12:02 bugmaster Note Added: 0101468
2021-05-29 12:02 bugmaster Status reviewed => tested
2021-05-29 12:04 bugmaster Test case number => Not required
2021-05-29 12:12 bugmaster Changeset attached => occt master df23a355
2021-05-29 12:12 bugmaster Status tested => verified
2021-05-29 12:12 bugmaster Resolution open => fixed
2021-05-29 13:13 git Note Added: 0101504


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker